Changeset 1637 for trunk/Clp


Ignore:
Timestamp:
Nov 28, 2010 3:42:24 PM (9 years ago)
Author:
stefan
Message:

use new fallback variables to setup addlibs file in fallback mode; use pkg-config or these variables in examples Makefile

Location:
trunk/Clp
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/Makefile.am

    r1636 r1637  
    115115endif
    116116
    117 if COIN_HAS_PKGCONFIG
    118117addlibsdir = $(DESTDIR)$(datadir)/coin/doc/Clp
    119118       
    120119install-data-hook:
    121120        @$(mkdir_p) "$(addlibsdir)"
     121if COIN_HAS_PKGCONFIG
    122122        PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ \
    123123        $(PKG_CONFIG) --libs clp > $(addlibsdir)/clp_addlibs.txt
     124else
     125        echo -L@abs_lib_dir@ -lClp @CLPLIB_LIBS_INSTALLED@ > $(addlibsdir)/clp_addlibs.txt
     126endif
    124127
    125128uninstall-hook:
    126129        rm -f $(addlibsdir)/clp_addlibs.txt
    127 endif
    128130
    129131########################################################################
  • trunk/Clp/Makefile.in

    r1636 r1637  
    136136CFLAGS = @CFLAGS@
    137137CLPLIB_CFLAGS = @CLPLIB_CFLAGS@
     138CLPLIB_CFLAGS_INSTALLED = @CLPLIB_CFLAGS_INSTALLED@
    138139CLPLIB_LIBS = @CLPLIB_LIBS@
     140CLPLIB_LIBS_INSTALLED = @CLPLIB_LIBS_INSTALLED@
    139141CLPLIB_PCLIBS = @CLPLIB_PCLIBS@
    140142CLPLIB_PCREQUIRES = @CLPLIB_PCREQUIRES@
     
    142144COINUTILS_CFLAGS = @COINUTILS_CFLAGS@
    143145COINUTILS_DATA = @COINUTILS_DATA@
     146COINUTILS_DATA_INSTALLED = @COINUTILS_DATA_INSTALLED@
    144147COINUTILS_LIBS = @COINUTILS_LIBS@
     148COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     149COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
     150COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
     151COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    145152COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    146153COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
     
    201208NETLIB_CFLAGS = @NETLIB_CFLAGS@
    202209NETLIB_DATA = @NETLIB_DATA@
     210NETLIB_DATA_INSTALLED = @NETLIB_DATA_INSTALLED@
    203211NETLIB_LIBS = @NETLIB_LIBS@
    204212OBJEXT = @OBJEXT@
     
    206214OPT_CXXFLAGS = @OPT_CXXFLAGS@
    207215OSICLPLIB_CFLAGS = @OSICLPLIB_CFLAGS@
     216OSICLPLIB_CFLAGS_INSTALLED = @OSICLPLIB_CFLAGS_INSTALLED@
    208217OSICLPLIB_LIBS = @OSICLPLIB_LIBS@
     218OSICLPLIB_LIBS_INSTALLED = @OSICLPLIB_LIBS_INSTALLED@
    209219OSICLPLIB_PCLIBS = @OSICLPLIB_PCLIBS@
    210220OSICLPLIB_PCREQUIRES = @OSICLPLIB_PCREQUIRES@
    211221OSITESTS_CFLAGS = @OSITESTS_CFLAGS@
    212222OSITESTS_DATA = @OSITESTS_DATA@
     223OSITESTS_DATA_INSTALLED = @OSITESTS_DATA_INSTALLED@
    213224OSITESTS_LIBS = @OSITESTS_LIBS@
    214225OSI_CFLAGS = @OSI_CFLAGS@
    215226OSI_DATA = @OSI_DATA@
     227OSI_DATA_INSTALLED = @OSI_DATA_INSTALLED@
    216228OSI_LIBS = @OSI_LIBS@
    217229PACKAGE = @PACKAGE@
     
    228240SAMPLE_CFLAGS = @SAMPLE_CFLAGS@
    229241SAMPLE_DATA = @SAMPLE_DATA@
     242SAMPLE_DATA_INSTALLED = @SAMPLE_DATA_INSTALLED@
    230243SAMPLE_LIBS = @SAMPLE_LIBS@
    231244SET_MAKE = @SET_MAKE@
     
    331344pkgconfiglibdir = $(libdir)/pkgconfig
    332345pkgconfiglib_DATA = clp.pc $(am__append_2)
    333 @COIN_HAS_PKGCONFIG_TRUE@addlibsdir = $(DESTDIR)$(datadir)/coin/doc/Clp
     346addlibsdir = $(DESTDIR)$(datadir)/coin/doc/Clp
    334347
    335348########################################################################
     
    743756        @echo "This command is intended for maintainers to use"
    744757        @echo "it deletes files that may require special tools to rebuild."
    745 @COIN_HAS_PKGCONFIG_FALSE@install-data-hook:
    746 @COIN_HAS_PKGCONFIG_FALSE@uninstall-hook:
    747758clean: clean-recursive
    748759
     
    850861.PHONY: test unitTest doxydoc
    851862
    852 @COIN_HAS_PKGCONFIG_TRUE@install-data-hook:
    853 @COIN_HAS_PKGCONFIG_TRUE@       @$(mkdir_p) "$(addlibsdir)"
     863install-data-hook:
     864        @$(mkdir_p) "$(addlibsdir)"
    854865@COIN_HAS_PKGCONFIG_TRUE@       PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ \
    855866@COIN_HAS_PKGCONFIG_TRUE@       $(PKG_CONFIG) --libs clp > $(addlibsdir)/clp_addlibs.txt
    856 
    857 @COIN_HAS_PKGCONFIG_TRUE@uninstall-hook:
    858 @COIN_HAS_PKGCONFIG_TRUE@       rm -f $(addlibsdir)/clp_addlibs.txt
     867@COIN_HAS_PKGCONFIG_FALSE@      echo -L@abs_lib_dir@ -lClp @CLPLIB_LIBS_INSTALLED@ > $(addlibsdir)/clp_addlibs.txt
     868
     869uninstall-hook:
     870        rm -f $(addlibsdir)/clp_addlibs.txt
    859871
    860872install-doc: $(DocFiles)
  • trunk/Clp/configure

    r1636 r1637  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COINUTILS_DATA_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED OSI_DATA_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19691969fi
    19701970
     1971# add automake conditional so we can recognize cl compiler in makefile
     1972coin_cc_is_cl=false
     1973if test x"$CXX" != x; then
     1974  case "$CXX" in
     1975    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1976      coin_cc_is_cl=true
     1977      ;;
     1978  esac
     1979fi
     1980
     1981
     1982if test $coin_cc_is_cl = true; then
     1983  COIN_CC_IS_CL_TRUE=
     1984  COIN_CC_IS_CL_FALSE='#'
     1985else
     1986  COIN_CC_IS_CL_TRUE='#'
     1987  COIN_CC_IS_CL_FALSE=
     1988fi
     1989
     1990
    19711991
    19721992
     
    36773697
    36783698
     3699coin_cxx_is_cl=false
    36793700# It seems that we need to cleanup something here for the Windows
    36803701case "$CXX" in
     
    36823703    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
    36833704    mv confdefs.hh confdefs.h
     3705    coin_cxx_is_cl=true
    36843706    ;;
    36853707esac
     3708
     3709# add automake conditional so we can recognize cl compiler in makefile
     3710
     3711
     3712if test $coin_cxx_is_cl = true; then
     3713  COIN_CXX_IS_CL_TRUE=
     3714  COIN_CXX_IS_CL_FALSE='#'
     3715else
     3716  COIN_CXX_IS_CL_TRUE='#'
     3717  COIN_CXX_IS_CL_FALSE=
     3718fi
     3719
    36863720
    36873721# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     
    58825916*-*-irix6*)
    58835917  # Find out which ABI we are using.
    5884   echo '#line 5884 "configure"' > conftest.$ac_ext
     5918  echo '#line 5918 "configure"' > conftest.$ac_ext
    58855919  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58865920  (eval $ac_compile) 2>&5
     
    70167050
    70177051# Provide some information about the compiler.
    7018 echo "$as_me:7018:" \
     7052echo "$as_me:7052:" \
    70197053     "checking for Fortran 77 compiler version" >&5
    70207054ac_compiler=`set X $ac_compile; echo $2`
     
    80838117   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80848118   -e 's:$: $lt_compiler_flag:'`
    8085    (eval echo "\"\$as_me:8085: $lt_compile\"" >&5)
     8119   (eval echo "\"\$as_me:8119: $lt_compile\"" >&5)
    80868120   (eval "$lt_compile" 2>conftest.err)
    80878121   ac_status=$?
    80888122   cat conftest.err >&5
    8089    echo "$as_me:8089: \$? = $ac_status" >&5
     8123   echo "$as_me:8123: \$? = $ac_status" >&5
    80908124   if (exit $ac_status) && test -s "$ac_outfile"; then
    80918125     # The compiler can only warn and ignore the option if not recognized
     
    83518385   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83528386   -e 's:$: $lt_compiler_flag:'`
    8353    (eval echo "\"\$as_me:8353: $lt_compile\"" >&5)
     8387   (eval echo "\"\$as_me:8387: $lt_compile\"" >&5)
    83548388   (eval "$lt_compile" 2>conftest.err)
    83558389   ac_status=$?
    83568390   cat conftest.err >&5
    8357    echo "$as_me:8357: \$? = $ac_status" >&5
     8391   echo "$as_me:8391: \$? = $ac_status" >&5
    83588392   if (exit $ac_status) && test -s "$ac_outfile"; then
    83598393     # The compiler can only warn and ignore the option if not recognized
     
    84558489   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84568490   -e 's:$: $lt_compiler_flag:'`
    8457    (eval echo "\"\$as_me:8457: $lt_compile\"" >&5)
     8491   (eval echo "\"\$as_me:8491: $lt_compile\"" >&5)
    84588492   (eval "$lt_compile" 2>out/conftest.err)
    84598493   ac_status=$?
    84608494   cat out/conftest.err >&5
    8461    echo "$as_me:8461: \$? = $ac_status" >&5
     8495   echo "$as_me:8495: \$? = $ac_status" >&5
    84628496   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84638497   then
     
    1080010834  lt_status=$lt_dlunknown
    1080110835  cat > conftest.$ac_ext <<EOF
    10802 #line 10802 "configure"
     10836#line 10836 "configure"
    1080310837#include "confdefs.h"
    1080410838
     
    1090010934  lt_status=$lt_dlunknown
    1090110935  cat > conftest.$ac_ext <<EOF
    10902 #line 10902 "configure"
     10936#line 10936 "configure"
    1090310937#include "confdefs.h"
    1090410938
     
    1324413278   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1324513279   -e 's:$: $lt_compiler_flag:'`
    13246    (eval echo "\"\$as_me:13246: $lt_compile\"" >&5)
     13280   (eval echo "\"\$as_me:13280: $lt_compile\"" >&5)
    1324713281   (eval "$lt_compile" 2>conftest.err)
    1324813282   ac_status=$?
    1324913283   cat conftest.err >&5
    13250    echo "$as_me:13250: \$? = $ac_status" >&5
     13284   echo "$as_me:13284: \$? = $ac_status" >&5
    1325113285   if (exit $ac_status) && test -s "$ac_outfile"; then
    1325213286     # The compiler can only warn and ignore the option if not recognized
     
    1334813382   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1334913383   -e 's:$: $lt_compiler_flag:'`
    13350    (eval echo "\"\$as_me:13350: $lt_compile\"" >&5)
     13384   (eval echo "\"\$as_me:13384: $lt_compile\"" >&5)
    1335113385   (eval "$lt_compile" 2>out/conftest.err)
    1335213386   ac_status=$?
    1335313387   cat out/conftest.err >&5
    13354    echo "$as_me:13354: \$? = $ac_status" >&5
     13388   echo "$as_me:13388: \$? = $ac_status" >&5
    1335513389   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1335613390   then
     
    1491814952   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1491914953   -e 's:$: $lt_compiler_flag:'`
    14920    (eval echo "\"\$as_me:14920: $lt_compile\"" >&5)
     14954   (eval echo "\"\$as_me:14954: $lt_compile\"" >&5)
    1492114955   (eval "$lt_compile" 2>conftest.err)
    1492214956   ac_status=$?
    1492314957   cat conftest.err >&5
    14924    echo "$as_me:14924: \$? = $ac_status" >&5
     14958   echo "$as_me:14958: \$? = $ac_status" >&5
    1492514959   if (exit $ac_status) && test -s "$ac_outfile"; then
    1492614960     # The compiler can only warn and ignore the option if not recognized
     
    1502215056   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1502315057   -e 's:$: $lt_compiler_flag:'`
    15024    (eval echo "\"\$as_me:15024: $lt_compile\"" >&5)
     15058   (eval echo "\"\$as_me:15058: $lt_compile\"" >&5)
    1502515059   (eval "$lt_compile" 2>out/conftest.err)
    1502615060   ac_status=$?
    1502715061   cat out/conftest.err >&5
    15028    echo "$as_me:15028: \$? = $ac_status" >&5
     15062   echo "$as_me:15062: \$? = $ac_status" >&5
    1502915063   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1503015064   then
     
    1722917263   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723017264   -e 's:$: $lt_compiler_flag:'`
    17231    (eval echo "\"\$as_me:17231: $lt_compile\"" >&5)
     17265   (eval echo "\"\$as_me:17265: $lt_compile\"" >&5)
    1723217266   (eval "$lt_compile" 2>conftest.err)
    1723317267   ac_status=$?
    1723417268   cat conftest.err >&5
    17235    echo "$as_me:17235: \$? = $ac_status" >&5
     17269   echo "$as_me:17269: \$? = $ac_status" >&5
    1723617270   if (exit $ac_status) && test -s "$ac_outfile"; then
    1723717271     # The compiler can only warn and ignore the option if not recognized
     
    1749717531   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1749817532   -e 's:$: $lt_compiler_flag:'`
    17499    (eval echo "\"\$as_me:17499: $lt_compile\"" >&5)
     17533   (eval echo "\"\$as_me:17533: $lt_compile\"" >&5)
    1750017534   (eval "$lt_compile" 2>conftest.err)
    1750117535   ac_status=$?
    1750217536   cat conftest.err >&5
    17503    echo "$as_me:17503: \$? = $ac_status" >&5
     17537   echo "$as_me:17537: \$? = $ac_status" >&5
    1750417538   if (exit $ac_status) && test -s "$ac_outfile"; then
    1750517539     # The compiler can only warn and ignore the option if not recognized
     
    1760117635   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1760217636   -e 's:$: $lt_compiler_flag:'`
    17603    (eval echo "\"\$as_me:17603: $lt_compile\"" >&5)
     17637   (eval echo "\"\$as_me:17637: $lt_compile\"" >&5)
    1760417638   (eval "$lt_compile" 2>out/conftest.err)
    1760517639   ac_status=$?
    1760617640   cat out/conftest.err >&5
    17607    echo "$as_me:17607: \$? = $ac_status" >&5
     17641   echo "$as_me:17641: \$? = $ac_status" >&5
    1760817642   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1760917643   then
     
    2082720861coin_has_coinutils=notGiven
    2082820862COINUTILS_LIBS=
     20863COINUTILS_LIBS_INSTALLED=
    2082920864COINUTILS_CFLAGS=
     20865COINUTILS_CFLAGS_INSTALLED=
    2083020866COINUTILS_DATA=
     20867COINUTILS_DATA_INSTALLED=
    2083120868
    2083220869# initial list of dependencies is "coinutils", but we need to filter out version number specifications (= x, <= x, >= x)
     
    2083520872# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    2083620873# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     20874# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    2083720875# also, we setup the DATA variable
    2083820876allproj=""
    2083920877allpcfiles=""
     20878allpcifiles=""
    2084020879while test "x$projtoprocess" != x ; do
    2084120880
     
    2084720886    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    2084820887      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    20849       if test -r "$dir/$proj-uninstalled.pc" ; then
     20888      if test -r "$dir/${proj}-uninstalled.pc" ; then
    2085020889        pcfile="$dir/$proj-uninstalled.pc"
     20890        if test -r "$dir/${proj}.pc" ; then
     20891          pcifile="$dir/${proj}.pc"
     20892        else
     20893          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     20894echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     20895          pcifile=
     20896        fi
    2085120897        break
    2085220898      fi
     
    2086220908      projtoprocess=${projtoprocess/$proj/$projrequires}
    2086320909
    20864       # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
    20865       if test "x$allproj" = x ; then
    20866         COINUTILS_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     20910      # read DATA from $pcfile, if _DATA is still empty
     20911      if test "x$COINUTILS_DATA" = x ; then
     20912        projdatadir=
     20913        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     20914        eval `sh -c "$pcfilemod"`
     20915        COINUTILS_DATA="$projdatadir"
    2086720916      fi
    2086820917
     
    2087520924      allproj=fail
    2087620925      break 2
     20926    fi
     20927
     20928    if test "x$pcifile" != x ; then
     20929      allpcifiles="$pcifile:$allpcifiles"
     20930
     20931      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     20932      if test "x$COINUTILS_DATA_INSTALLED" = x ; then
     20933        projdatadir=
     20934        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     20935        eval `sh -c "$pcifilemod"`
     20936        COINUTILS_DATA_INSTALLED="$projdatadir"
     20937      fi
     20938
    2087720939    fi
    2087820940
     
    2090520967    fi
    2090620968
    20907     # reconstruct the directory where the .pc file is located
    20908     pcfiledir=`echo $pcfile | sed -e 's/\/[^\/]*$//'`
    20909 
    20910     # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
    20911     projcflags=`sed -n -e 's/Cflags://p' "$pcfile"`
     20969    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     20970    #   replace "Libs:" by "echo projlibs="
     20971    #   replace "Cflags:" by "echo projcflags="
     20972    #   remove every line starting with <some word>:
     20973    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     20974
     20975    # set projcflags and projlibs variables by running $pcfilemod
     20976    eval `sh -c "$pcfilemod"`
     20977
     20978    # add CYGPATH_W cludge into include flags and set CFLAGS variable
    2091220979    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    2091320980    COINUTILS_CFLAGS="$projcflags $COINUTILS_CFLAGS"
    2091420981
    20915     # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
    20916     # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
    20917     projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
    20918     if test "x$projlibs" != x ; then
    20919       if test -d "${pcfiledir}/src" ; then
    20920         projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
    20921       else
    20922         projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
    20923       fi
    20924     else
    20925       projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
    20926     fi
     20982    # set LIBS variable
    2092720983    COINUTILS_LIBS="$projlibs $COINUTILS_LIBS"
    2092820984
     
    2093220988  done
    2093320989  IFS="$save_IFS"
     20990
     20991
     20992  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     20993  # important is here again to obey the reverse order that has been setup before,
     20994  # since then libraries that are required by several others should be after these other libraries
     20995  pcfilesprocessed=""
     20996
     20997  save_IFS="$IFS"
     20998  IFS=":"
     20999  for pcfile in $allpcifiles ; do
     21000
     21001    # if $pcfile has been processed already, skip this round
     21002    if test "x$pcfilesprocessed" != x ; then
     21003      for pcfiledone in $pcfilesprocessed ; do
     21004        if test "$pcfiledone" = "$pcfile" ; then
     21005          continue 2
     21006        fi
     21007      done
     21008    fi
     21009
     21010    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     21011    #   replace "Libs:" by "echo projlibs="
     21012    #   replace "Cflags:" by "echo projcflags="
     21013    #   remove every line starting with <some word>:
     21014    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     21015
     21016    # set projcflags and projlibs variables by running $pcfilemod
     21017    eval `sh -c "$pcfilemod"`
     21018
     21019    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     21020    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     21021    COINUTILS_CFLAGS_INSTALLED="$projcflags $COINUTILS_CFLAGS_INSTALLED"
     21022
     21023    # set LIBS variable
     21024    COINUTILS_LIBS_INSTALLED="$projlibs $COINUTILS_LIBS_INSTALLED"
     21025
     21026    # remember that we have processed $pcfile
     21027    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     21028
     21029  done
     21030  IFS="$save_IFS"
     21031
    2093421032
    2093521033  # finish up
     
    2094721045    CLPLIB_CFLAGS="$COINUTILS_CFLAGS $CLPLIB_CFLAGS"
    2094821046    CLPLIB_LIBS="$COINUTILS_LIBS $CLPLIB_LIBS"
     21047    CLPLIB_CFLAGS_INSTALLED="$COINUTILS_CFLAGS_INSTALLED $CLPLIB_CFLAGS_INSTALLED"
     21048    CLPLIB_LIBS_INSTALLED="$COINUTILS_LIBS_INSTALLED $CLPLIB_LIBS_INSTALLED"
     21049
     21050
     21051
    2094921052
    2095021053
     
    2096221065echo "$as_me: CoinUtils DATA   is  $COINUTILS_DATA" >&6;}
    2096321066    fi
    20964 
     21067    if test -n "$COINUTILS_CFLAGS_INSTALLED" ; then
     21068      { echo "$as_me:$LINENO: CoinUtils CFLAGS_INSTALLED are $COINUTILS_CFLAGS_INSTALLED" >&5
     21069echo "$as_me: CoinUtils CFLAGS_INSTALLED are $COINUTILS_CFLAGS_INSTALLED" >&6;}
     21070    fi
     21071    if test -n "$COINUTILS_LIBS_INSTALLED" ; then
     21072      { echo "$as_me:$LINENO: CoinUtils LIBS_INSTALLED   are $COINUTILS_LIBS_INSTALLED" >&5
     21073echo "$as_me: CoinUtils LIBS_INSTALLED   are $COINUTILS_LIBS_INSTALLED" >&6;}
     21074    fi
     21075    if test -n "$COINUTILS_DATA_INSTALLED" ; then
     21076      { echo "$as_me:$LINENO: CoinUtils DATA_INSTALLED   is  $COINUTILS_DATA_INSTALLED" >&5
     21077echo "$as_me: CoinUtils DATA_INSTALLED   is  $COINUTILS_DATA_INSTALLED" >&6;}
     21078    fi
     21079
     21080      { echo "$as_me:$LINENO: " >&5
     21081echo "$as_me: " >&6;}
    2096521082      { echo "$as_me:$LINENO: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&5
    2096621083echo "$as_me: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&6;}
    2096721084      { echo "$as_me:$LINENO: ClpLib LIBS   are $CLPLIB_LIBS" >&5
    2096821085echo "$as_me: ClpLib LIBS   are $CLPLIB_LIBS" >&6;}
     21086      { echo "$as_me:$LINENO: ClpLib CFLAGS_INSTALLED are $CLPLIB_CFLAGS_INSTALLED" >&5
     21087echo "$as_me: ClpLib CFLAGS_INSTALLED are $CLPLIB_CFLAGS_INSTALLED" >&6;}
     21088      { echo "$as_me:$LINENO: ClpLib LIBS_INSTALLED   are $CLPLIB_LIBS_INSTALLED" >&5
     21089echo "$as_me: ClpLib LIBS_INSTALLED   are $CLPLIB_LIBS_INSTALLED" >&6;}
    2096921090
    2097021091  fi
     
    2117621297coin_has_osi=notGiven
    2117721298OSI_LIBS=
     21299OSI_LIBS_INSTALLED=
    2117821300OSI_CFLAGS=
     21301OSI_CFLAGS_INSTALLED=
    2117921302OSI_DATA=
     21303OSI_DATA_INSTALLED=
    2118021304
    2118121305# initial list of dependencies is "osi", but we need to filter out version number specifications (= x, <= x, >= x)
     
    2118421308# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    2118521309# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     21310# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    2118621311# also, we setup the DATA variable
    2118721312allproj=""
    2118821313allpcfiles=""
     21314allpcifiles=""
    2118921315while test "x$projtoprocess" != x ; do
    2119021316
     
    2119621322    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    2119721323      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    21198       if test -r "$dir/$proj-uninstalled.pc" ; then
     21324      if test -r "$dir/${proj}-uninstalled.pc" ; then
    2119921325        pcfile="$dir/$proj-uninstalled.pc"
     21326        if test -r "$dir/${proj}.pc" ; then
     21327          pcifile="$dir/${proj}.pc"
     21328        else
     21329          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     21330echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     21331          pcifile=
     21332        fi
    2120021333        break
    2120121334      fi
     
    2121121344      projtoprocess=${projtoprocess/$proj/$projrequires}
    2121221345
    21213       # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
    21214       if test "x$allproj" = x ; then
    21215         OSI_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     21346      # read DATA from $pcfile, if _DATA is still empty
     21347      if test "x$OSI_DATA" = x ; then
     21348        projdatadir=
     21349        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     21350        eval `sh -c "$pcfilemod"`
     21351        OSI_DATA="$projdatadir"
    2121621352      fi
    2121721353
     
    2122421360      allproj=fail
    2122521361      break 2
     21362    fi
     21363
     21364    if test "x$pcifile" != x ; then
     21365      allpcifiles="$pcifile:$allpcifiles"
     21366
     21367      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     21368      if test "x$OSI_DATA_INSTALLED" = x ; then
     21369        projdatadir=
     21370        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     21371        eval `sh -c "$pcifilemod"`
     21372        OSI_DATA_INSTALLED="$projdatadir"
     21373      fi
     21374
    2122621375    fi
    2122721376
     
    2125421403    fi
    2125521404
    21256     # reconstruct the directory where the .pc file is located
    21257     pcfiledir=`echo $pcfile | sed -e 's/\/[^\/]*$//'`
    21258 
    21259     # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
    21260     projcflags=`sed -n -e 's/Cflags://p' "$pcfile"`
     21405    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     21406    #   replace "Libs:" by "echo projlibs="
     21407    #   replace "Cflags:" by "echo projcflags="
     21408    #   remove every line starting with <some word>:
     21409    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     21410
     21411    # set projcflags and projlibs variables by running $pcfilemod
     21412    eval `sh -c "$pcfilemod"`
     21413
     21414    # add CYGPATH_W cludge into include flags and set CFLAGS variable
    2126121415    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    2126221416    OSI_CFLAGS="$projcflags $OSI_CFLAGS"
    2126321417
    21264     # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
    21265     # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
    21266     projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
    21267     if test "x$projlibs" != x ; then
    21268       if test -d "${pcfiledir}/src" ; then
    21269         projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
    21270       else
    21271         projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
    21272       fi
    21273     else
    21274       projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
    21275     fi
     21418    # set LIBS variable
    2127621419    OSI_LIBS="$projlibs $OSI_LIBS"
    2127721420
     
    2128121424  done
    2128221425  IFS="$save_IFS"
     21426
     21427
     21428  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     21429  # important is here again to obey the reverse order that has been setup before,
     21430  # since then libraries that are required by several others should be after these other libraries
     21431  pcfilesprocessed=""
     21432
     21433  save_IFS="$IFS"
     21434  IFS=":"
     21435  for pcfile in $allpcifiles ; do
     21436
     21437    # if $pcfile has been processed already, skip this round
     21438    if test "x$pcfilesprocessed" != x ; then
     21439      for pcfiledone in $pcfilesprocessed ; do
     21440        if test "$pcfiledone" = "$pcfile" ; then
     21441          continue 2
     21442        fi
     21443      done
     21444    fi
     21445
     21446    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     21447    #   replace "Libs:" by "echo projlibs="
     21448    #   replace "Cflags:" by "echo projcflags="
     21449    #   remove every line starting with <some word>:
     21450    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     21451
     21452    # set projcflags and projlibs variables by running $pcfilemod
     21453    eval `sh -c "$pcfilemod"`
     21454
     21455    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     21456    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     21457    OSI_CFLAGS_INSTALLED="$projcflags $OSI_CFLAGS_INSTALLED"
     21458
     21459    # set LIBS variable
     21460    OSI_LIBS_INSTALLED="$projlibs $OSI_LIBS_INSTALLED"
     21461
     21462    # remember that we have processed $pcfile
     21463    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     21464
     21465  done
     21466  IFS="$save_IFS"
     21467
    2128321468
    2128421469  # finish up
     
    2129621481    OSICLPLIB_CFLAGS="$OSI_CFLAGS $OSICLPLIB_CFLAGS"
    2129721482    OSICLPLIB_LIBS="$OSI_LIBS $OSICLPLIB_LIBS"
     21483    OSICLPLIB_CFLAGS_INSTALLED="$OSI_CFLAGS_INSTALLED $OSICLPLIB_CFLAGS_INSTALLED"
     21484    OSICLPLIB_LIBS_INSTALLED="$OSI_LIBS_INSTALLED $OSICLPLIB_LIBS_INSTALLED"
     21485
     21486
     21487
    2129821488
    2129921489
     
    2131121501echo "$as_me: Osi DATA   is  $OSI_DATA" >&6;}
    2131221502    fi
    21313 
     21503    if test -n "$OSI_CFLAGS_INSTALLED" ; then
     21504      { echo "$as_me:$LINENO: Osi CFLAGS_INSTALLED are $OSI_CFLAGS_INSTALLED" >&5
     21505echo "$as_me: Osi CFLAGS_INSTALLED are $OSI_CFLAGS_INSTALLED" >&6;}
     21506    fi
     21507    if test -n "$OSI_LIBS_INSTALLED" ; then
     21508      { echo "$as_me:$LINENO: Osi LIBS_INSTALLED   are $OSI_LIBS_INSTALLED" >&5
     21509echo "$as_me: Osi LIBS_INSTALLED   are $OSI_LIBS_INSTALLED" >&6;}
     21510    fi
     21511    if test -n "$OSI_DATA_INSTALLED" ; then
     21512      { echo "$as_me:$LINENO: Osi DATA_INSTALLED   is  $OSI_DATA_INSTALLED" >&5
     21513echo "$as_me: Osi DATA_INSTALLED   is  $OSI_DATA_INSTALLED" >&6;}
     21514    fi
     21515
     21516      { echo "$as_me:$LINENO: " >&5
     21517echo "$as_me: " >&6;}
    2131421518      { echo "$as_me:$LINENO: OsiClpLib CFLAGS are $OSICLPLIB_CFLAGS" >&5
    2131521519echo "$as_me: OsiClpLib CFLAGS are $OSICLPLIB_CFLAGS" >&6;}
    2131621520      { echo "$as_me:$LINENO: OsiClpLib LIBS   are $OSICLPLIB_LIBS" >&5
    2131721521echo "$as_me: OsiClpLib LIBS   are $OSICLPLIB_LIBS" >&6;}
     21522      { echo "$as_me:$LINENO: OsiClpLib CFLAGS_INSTALLED are $OSICLPLIB_CFLAGS_INSTALLED" >&5
     21523echo "$as_me: OsiClpLib CFLAGS_INSTALLED are $OSICLPLIB_CFLAGS_INSTALLED" >&6;}
     21524      { echo "$as_me:$LINENO: OsiClpLib LIBS_INSTALLED   are $OSICLPLIB_LIBS_INSTALLED" >&5
     21525echo "$as_me: OsiClpLib LIBS_INSTALLED   are $OSICLPLIB_LIBS_INSTALLED" >&6;}
    2131821526
    2131921527  fi
     
    2150721715coin_has_ositests=notGiven
    2150821716OSITESTS_LIBS=
     21717OSITESTS_LIBS_INSTALLED=
    2150921718OSITESTS_CFLAGS=
     21719OSITESTS_CFLAGS_INSTALLED=
    2151021720OSITESTS_DATA=
     21721OSITESTS_DATA_INSTALLED=
    2151121722
    2151221723# initial list of dependencies is "osi-unittests", but we need to filter out version number specifications (= x, <= x, >= x)
     
    2151521726# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    2151621727# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     21728# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    2151721729# also, we setup the DATA variable
    2151821730allproj=""
    2151921731allpcfiles=""
     21732allpcifiles=""
    2152021733while test "x$projtoprocess" != x ; do
    2152121734
     
    2152721740    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    2152821741      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    21529       if test -r "$dir/$proj-uninstalled.pc" ; then
     21742      if test -r "$dir/${proj}-uninstalled.pc" ; then
    2153021743        pcfile="$dir/$proj-uninstalled.pc"
     21744        if test -r "$dir/${proj}.pc" ; then
     21745          pcifile="$dir/${proj}.pc"
     21746        else
     21747          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     21748echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     21749          pcifile=
     21750        fi
    2153121751        break
    2153221752      fi
     
    2154221762      projtoprocess=${projtoprocess/$proj/$projrequires}
    2154321763
    21544       # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
    21545       if test "x$allproj" = x ; then
    21546         OSITESTS_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     21764      # read DATA from $pcfile, if _DATA is still empty
     21765      if test "x$OSITESTS_DATA" = x ; then
     21766        projdatadir=
     21767        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     21768        eval `sh -c "$pcfilemod"`
     21769        OSITESTS_DATA="$projdatadir"
    2154721770      fi
    2154821771
     
    2155521778      allproj=fail
    2155621779      break 2
     21780    fi
     21781
     21782    if test "x$pcifile" != x ; then
     21783      allpcifiles="$pcifile:$allpcifiles"
     21784
     21785      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     21786      if test "x$OSITESTS_DATA_INSTALLED" = x ; then
     21787        projdatadir=
     21788        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     21789        eval `sh -c "$pcifilemod"`
     21790        OSITESTS_DATA_INSTALLED="$projdatadir"
     21791      fi
     21792
    2155721793    fi
    2155821794
     
    2158521821    fi
    2158621822
    21587     # reconstruct the directory where the .pc file is located
    21588     pcfiledir=`echo $pcfile | sed -e 's/\/[^\/]*$//'`
    21589 
    21590     # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
    21591     projcflags=`sed -n -e 's/Cflags://p' "$pcfile"`
     21823    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     21824    #   replace "Libs:" by "echo projlibs="
     21825    #   replace "Cflags:" by "echo projcflags="
     21826    #   remove every line starting with <some word>:
     21827    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     21828
     21829    # set projcflags and projlibs variables by running $pcfilemod
     21830    eval `sh -c "$pcfilemod"`
     21831
     21832    # add CYGPATH_W cludge into include flags and set CFLAGS variable
    2159221833    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    2159321834    OSITESTS_CFLAGS="$projcflags $OSITESTS_CFLAGS"
    2159421835
    21595     # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
    21596     # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
    21597     projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
    21598     if test "x$projlibs" != x ; then
    21599       if test -d "${pcfiledir}/src" ; then
    21600         projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
    21601       else
    21602         projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
    21603       fi
    21604     else
    21605       projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
    21606     fi
     21836    # set LIBS variable
    2160721837    OSITESTS_LIBS="$projlibs $OSITESTS_LIBS"
    2160821838
     
    2161221842  done
    2161321843  IFS="$save_IFS"
     21844
     21845
     21846  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     21847  # important is here again to obey the reverse order that has been setup before,
     21848  # since then libraries that are required by several others should be after these other libraries
     21849  pcfilesprocessed=""
     21850
     21851  save_IFS="$IFS"
     21852  IFS=":"
     21853  for pcfile in $allpcifiles ; do
     21854
     21855    # if $pcfile has been processed already, skip this round
     21856    if test "x$pcfilesprocessed" != x ; then
     21857      for pcfiledone in $pcfilesprocessed ; do
     21858        if test "$pcfiledone" = "$pcfile" ; then
     21859          continue 2
     21860        fi
     21861      done
     21862    fi
     21863
     21864    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     21865    #   replace "Libs:" by "echo projlibs="
     21866    #   replace "Cflags:" by "echo projcflags="
     21867    #   remove every line starting with <some word>:
     21868    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     21869
     21870    # set projcflags and projlibs variables by running $pcfilemod
     21871    eval `sh -c "$pcfilemod"`
     21872
     21873    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     21874    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     21875    OSITESTS_CFLAGS_INSTALLED="$projcflags $OSITESTS_CFLAGS_INSTALLED"
     21876
     21877    # set LIBS variable
     21878    OSITESTS_LIBS_INSTALLED="$projlibs $OSITESTS_LIBS_INSTALLED"
     21879
     21880    # remember that we have processed $pcfile
     21881    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     21882
     21883  done
     21884  IFS="$save_IFS"
     21885
    2161421886
    2161521887  # finish up
     
    2162121893#define COIN_HAS_OSITESTS 1
    2162221894_ACEOF
     21895
    2162321896
    2162421897
     
    2163721910      { echo "$as_me:$LINENO: OsiTests DATA   is  $OSITESTS_DATA" >&5
    2163821911echo "$as_me: OsiTests DATA   is  $OSITESTS_DATA" >&6;}
     21912    fi
     21913    if test -n "$OSITESTS_CFLAGS_INSTALLED" ; then
     21914      { echo "$as_me:$LINENO: OsiTests CFLAGS_INSTALLED are $OSITESTS_CFLAGS_INSTALLED" >&5
     21915echo "$as_me: OsiTests CFLAGS_INSTALLED are $OSITESTS_CFLAGS_INSTALLED" >&6;}
     21916    fi
     21917    if test -n "$OSITESTS_LIBS_INSTALLED" ; then
     21918      { echo "$as_me:$LINENO: OsiTests LIBS_INSTALLED   are $OSITESTS_LIBS_INSTALLED" >&5
     21919echo "$as_me: OsiTests LIBS_INSTALLED   are $OSITESTS_LIBS_INSTALLED" >&6;}
     21920    fi
     21921    if test -n "$OSITESTS_DATA_INSTALLED" ; then
     21922      { echo "$as_me:$LINENO: OsiTests DATA_INSTALLED   is  $OSITESTS_DATA_INSTALLED" >&5
     21923echo "$as_me: OsiTests DATA_INSTALLED   is  $OSITESTS_DATA_INSTALLED" >&6;}
    2163921924    fi
    2164021925
     
    2182422109coin_has_sample=notGiven
    2182522110SAMPLE_LIBS=
     22111SAMPLE_LIBS_INSTALLED=
    2182622112SAMPLE_CFLAGS=
     22113SAMPLE_CFLAGS_INSTALLED=
    2182722114SAMPLE_DATA=
     22115SAMPLE_DATA_INSTALLED=
    2182822116
    2182922117# initial list of dependencies is "coindatasample", but we need to filter out version number specifications (= x, <= x, >= x)
     
    2183222120# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    2183322121# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     22122# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    2183422123# also, we setup the DATA variable
    2183522124allproj=""
    2183622125allpcfiles=""
     22126allpcifiles=""
    2183722127while test "x$projtoprocess" != x ; do
    2183822128
     
    2184422134    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    2184522135      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    21846       if test -r "$dir/$proj-uninstalled.pc" ; then
     22136      if test -r "$dir/${proj}-uninstalled.pc" ; then
    2184722137        pcfile="$dir/$proj-uninstalled.pc"
     22138        if test -r "$dir/${proj}.pc" ; then
     22139          pcifile="$dir/${proj}.pc"
     22140        else
     22141          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     22142echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     22143          pcifile=
     22144        fi
    2184822145        break
    2184922146      fi
     
    2185922156      projtoprocess=${projtoprocess/$proj/$projrequires}
    2186022157
    21861       # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
    21862       if test "x$allproj" = x ; then
    21863         SAMPLE_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     22158      # read DATA from $pcfile, if _DATA is still empty
     22159      if test "x$SAMPLE_DATA" = x ; then
     22160        projdatadir=
     22161        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     22162        eval `sh -c "$pcfilemod"`
     22163        SAMPLE_DATA="$projdatadir"
    2186422164      fi
    2186522165
     
    2187222172      allproj=fail
    2187322173      break 2
     22174    fi
     22175
     22176    if test "x$pcifile" != x ; then
     22177      allpcifiles="$pcifile:$allpcifiles"
     22178
     22179      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     22180      if test "x$SAMPLE_DATA_INSTALLED" = x ; then
     22181        projdatadir=
     22182        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     22183        eval `sh -c "$pcifilemod"`
     22184        SAMPLE_DATA_INSTALLED="$projdatadir"
     22185      fi
     22186
    2187422187    fi
    2187522188
     
    2190222215    fi
    2190322216
    21904     # reconstruct the directory where the .pc file is located
    21905     pcfiledir=`echo $pcfile | sed -e 's/\/[^\/]*$//'`
    21906 
    21907     # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
    21908     projcflags=`sed -n -e 's/Cflags://p' "$pcfile"`
     22217    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     22218    #   replace "Libs:" by "echo projlibs="
     22219    #   replace "Cflags:" by "echo projcflags="
     22220    #   remove every line starting with <some word>:
     22221    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     22222
     22223    # set projcflags and projlibs variables by running $pcfilemod
     22224    eval `sh -c "$pcfilemod"`
     22225
     22226    # add CYGPATH_W cludge into include flags and set CFLAGS variable
    2190922227    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    2191022228    SAMPLE_CFLAGS="$projcflags $SAMPLE_CFLAGS"
    2191122229
    21912     # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
    21913     # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
    21914     projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
    21915     if test "x$projlibs" != x ; then
    21916       if test -d "${pcfiledir}/src" ; then
    21917         projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
    21918       else
    21919         projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
    21920       fi
    21921     else
    21922       projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
    21923     fi
     22230    # set LIBS variable
    2192422231    SAMPLE_LIBS="$projlibs $SAMPLE_LIBS"
    2192522232
     
    2192922236  done
    2193022237  IFS="$save_IFS"
     22238
     22239
     22240  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     22241  # important is here again to obey the reverse order that has been setup before,
     22242  # since then libraries that are required by several others should be after these other libraries
     22243  pcfilesprocessed=""
     22244
     22245  save_IFS="$IFS"
     22246  IFS=":"
     22247  for pcfile in $allpcifiles ; do
     22248
     22249    # if $pcfile has been processed already, skip this round
     22250    if test "x$pcfilesprocessed" != x ; then
     22251      for pcfiledone in $pcfilesprocessed ; do
     22252        if test "$pcfiledone" = "$pcfile" ; then
     22253          continue 2
     22254        fi
     22255      done
     22256    fi
     22257
     22258    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     22259    #   replace "Libs:" by "echo projlibs="
     22260    #   replace "Cflags:" by "echo projcflags="
     22261    #   remove every line starting with <some word>:
     22262    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     22263
     22264    # set projcflags and projlibs variables by running $pcfilemod
     22265    eval `sh -c "$pcfilemod"`
     22266
     22267    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     22268    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22269    SAMPLE_CFLAGS_INSTALLED="$projcflags $SAMPLE_CFLAGS_INSTALLED"
     22270
     22271    # set LIBS variable
     22272    SAMPLE_LIBS_INSTALLED="$projlibs $SAMPLE_LIBS_INSTALLED"
     22273
     22274    # remember that we have processed $pcfile
     22275    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     22276
     22277  done
     22278  IFS="$save_IFS"
     22279
    2193122280
    2193222281  # finish up
     
    2193822287#define COIN_HAS_SAMPLE 1
    2193922288_ACEOF
     22289
    2194022290
    2194122291
     
    2195422304      { echo "$as_me:$LINENO: Sample DATA   is  $SAMPLE_DATA" >&5
    2195522305echo "$as_me: Sample DATA   is  $SAMPLE_DATA" >&6;}
     22306    fi
     22307    if test -n "$SAMPLE_CFLAGS_INSTALLED" ; then
     22308      { echo "$as_me:$LINENO: Sample CFLAGS_INSTALLED are $SAMPLE_CFLAGS_INSTALLED" >&5
     22309echo "$as_me: Sample CFLAGS_INSTALLED are $SAMPLE_CFLAGS_INSTALLED" >&6;}
     22310    fi
     22311    if test -n "$SAMPLE_LIBS_INSTALLED" ; then
     22312      { echo "$as_me:$LINENO: Sample LIBS_INSTALLED   are $SAMPLE_LIBS_INSTALLED" >&5
     22313echo "$as_me: Sample LIBS_INSTALLED   are $SAMPLE_LIBS_INSTALLED" >&6;}
     22314    fi
     22315    if test -n "$SAMPLE_DATA_INSTALLED" ; then
     22316      { echo "$as_me:$LINENO: Sample DATA_INSTALLED   is  $SAMPLE_DATA_INSTALLED" >&5
     22317echo "$as_me: Sample DATA_INSTALLED   is  $SAMPLE_DATA_INSTALLED" >&6;}
    2195622318    fi
    2195722319
     
    2214122503coin_has_netlib=notGiven
    2214222504NETLIB_LIBS=
     22505NETLIB_LIBS_INSTALLED=
    2214322506NETLIB_CFLAGS=
     22507NETLIB_CFLAGS_INSTALLED=
    2214422508NETLIB_DATA=
     22509NETLIB_DATA_INSTALLED=
    2214522510
    2214622511# initial list of dependencies is "coindatanetlib", but we need to filter out version number specifications (= x, <= x, >= x)
     
    2214922514# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    2215022515# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     22516# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    2215122517# also, we setup the DATA variable
    2215222518allproj=""
    2215322519allpcfiles=""
     22520allpcifiles=""
    2215422521while test "x$projtoprocess" != x ; do
    2215522522
     
    2216122528    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    2216222529      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    22163       if test -r "$dir/$proj-uninstalled.pc" ; then
     22530      if test -r "$dir/${proj}-uninstalled.pc" ; then
    2216422531        pcfile="$dir/$proj-uninstalled.pc"
     22532        if test -r "$dir/${proj}.pc" ; then
     22533          pcifile="$dir/${proj}.pc"
     22534        else
     22535          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     22536echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     22537          pcifile=
     22538        fi
    2216522539        break
    2216622540      fi
     
    2217622550      projtoprocess=${projtoprocess/$proj/$projrequires}
    2217722551
    22178       # read DATA from $pcfile, if this is the first .pc file we are processing (so assume that its the main one)
    22179       if test "x$allproj" = x ; then
    22180         NETLIB_DATA=`sed -n -e 's/datadir=//gp' "$pcfile"`
     22552      # read DATA from $pcfile, if _DATA is still empty
     22553      if test "x$NETLIB_DATA" = x ; then
     22554        projdatadir=
     22555        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     22556        eval `sh -c "$pcfilemod"`
     22557        NETLIB_DATA="$projdatadir"
    2218122558      fi
    2218222559
     
    2218922566      allproj=fail
    2219022567      break 2
     22568    fi
     22569
     22570    if test "x$pcifile" != x ; then
     22571      allpcifiles="$pcifile:$allpcifiles"
     22572
     22573      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     22574      if test "x$NETLIB_DATA_INSTALLED" = x ; then
     22575        projdatadir=
     22576        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     22577        eval `sh -c "$pcifilemod"`
     22578        NETLIB_DATA_INSTALLED="$projdatadir"
     22579      fi
     22580
    2219122581    fi
    2219222582
     
    2221922609    fi
    2222022610
    22221     # reconstruct the directory where the .pc file is located
    22222     pcfiledir=`echo $pcfile | sed -e 's/\/[^\/]*$//'`
    22223 
    22224     # read CFLAGS from $pcfile and add CYGPATH_W cludge into include flags
    22225     projcflags=`sed -n -e 's/Cflags://p' "$pcfile"`
     22611    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     22612    #   replace "Libs:" by "echo projlibs="
     22613    #   replace "Cflags:" by "echo projcflags="
     22614    #   remove every line starting with <some word>:
     22615    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     22616
     22617    # set projcflags and projlibs variables by running $pcfilemod
     22618    eval `sh -c "$pcfilemod"`
     22619
     22620    # add CYGPATH_W cludge into include flags and set CFLAGS variable
    2222622621    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    2222722622    NETLIB_CFLAGS="$projcflags $NETLIB_CFLAGS"
    2222822623
    22229     # read LIBS from $pcfile and replace -L${libdir} by absolute path to build directory in linker flags
    22230     # we assume that the build directory is $pcfiledir/src if this directory exists, otherwise we assume that it is $pcfiledir
    22231     projlibs=`sed -n -e 's/Libs://' -e 's/-L\${libdir}//p' "$pcfile"`
    22232     if test "x$projlibs" != x ; then
    22233       if test -d "${pcfiledir}/src" ; then
    22234         projlibs="-L`cd "${pcfiledir}/src"; pwd` $projlibs"
    22235       else
    22236         projlibs="-L`cd "$pcfiledir"; pwd` $projlibs"
    22237       fi
    22238     else
    22239       projlibs=`sed -n -e 's/Libs://p' "$pcfile"`
    22240     fi
     22624    # set LIBS variable
    2224122625    NETLIB_LIBS="$projlibs $NETLIB_LIBS"
    2224222626
     
    2224622630  done
    2224722631  IFS="$save_IFS"
     22632
     22633
     22634  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     22635  # important is here again to obey the reverse order that has been setup before,
     22636  # since then libraries that are required by several others should be after these other libraries
     22637  pcfilesprocessed=""
     22638
     22639  save_IFS="$IFS"
     22640  IFS=":"
     22641  for pcfile in $allpcifiles ; do
     22642
     22643    # if $pcfile has been processed already, skip this round
     22644    if test "x$pcfilesprocessed" != x ; then
     22645      for pcfiledone in $pcfilesprocessed ; do
     22646        if test "$pcfiledone" = "$pcfile" ; then
     22647          continue 2
     22648        fi
     22649      done
     22650    fi
     22651
     22652    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     22653    #   replace "Libs:" by "echo projlibs="
     22654    #   replace "Cflags:" by "echo projcflags="
     22655    #   remove every line starting with <some word>:
     22656    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/[a-zA-Z]:/d' $pcfile`
     22657
     22658    # set projcflags and projlibs variables by running $pcfilemod
     22659    eval `sh -c "$pcfilemod"`
     22660
     22661    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     22662    projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     22663    NETLIB_CFLAGS_INSTALLED="$projcflags $NETLIB_CFLAGS_INSTALLED"
     22664
     22665    # set LIBS variable
     22666    NETLIB_LIBS_INSTALLED="$projlibs $NETLIB_LIBS_INSTALLED"
     22667
     22668    # remember that we have processed $pcfile
     22669    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     22670
     22671  done
     22672  IFS="$save_IFS"
     22673
    2224822674
    2224922675  # finish up
     
    2225522681#define COIN_HAS_NETLIB 1
    2225622682_ACEOF
     22683
    2225722684
    2225822685
     
    2227122698      { echo "$as_me:$LINENO: Netlib DATA   is  $NETLIB_DATA" >&5
    2227222699echo "$as_me: Netlib DATA   is  $NETLIB_DATA" >&6;}
     22700    fi
     22701    if test -n "$NETLIB_CFLAGS_INSTALLED" ; then
     22702      { echo "$as_me:$LINENO: Netlib CFLAGS_INSTALLED are $NETLIB_CFLAGS_INSTALLED" >&5
     22703echo "$as_me: Netlib CFLAGS_INSTALLED are $NETLIB_CFLAGS_INSTALLED" >&6;}
     22704    fi
     22705    if test -n "$NETLIB_LIBS_INSTALLED" ; then
     22706      { echo "$as_me:$LINENO: Netlib LIBS_INSTALLED   are $NETLIB_LIBS_INSTALLED" >&5
     22707echo "$as_me: Netlib LIBS_INSTALLED   are $NETLIB_LIBS_INSTALLED" >&6;}
     22708    fi
     22709    if test -n "$NETLIB_DATA_INSTALLED" ; then
     22710      { echo "$as_me:$LINENO: Netlib DATA_INSTALLED   is  $NETLIB_DATA_INSTALLED" >&5
     22711echo "$as_me: Netlib DATA_INSTALLED   is  $NETLIB_DATA_INSTALLED" >&6;}
    2227322712    fi
    2227422713
     
    2277123210                    CLPLIB_LIBS="-lreadline $LIBS $CLPLIB_LIBS"
    2277223211                    CLPLIB_PCLIBS="-lreadline $LIBS $CLPLIB_PCLIBS"
     23212                    CLPLIB_LIBS_INSTALLED="-lreadline $LIBS $CLPLIB_LIBS_INSTALLED"
    2277323213
    2277423214
     
    2318623626Usually this means the macro was only invoked conditionally." >&5
    2318723627echo "$as_me: error: conditional \"ALWAYS_FALSE\" was never defined.
     23628Usually this means the macro was only invoked conditionally." >&2;}
     23629   { (exit 1); exit 1; }; }
     23630fi
     23631if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     23632  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     23633Usually this means the macro was only invoked conditionally." >&5
     23634echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     23635Usually this means the macro was only invoked conditionally." >&2;}
     23636   { (exit 1); exit 1; }; }
     23637fi
     23638if test -z "${COIN_CXX_IS_CL_TRUE}" && test -z "${COIN_CXX_IS_CL_FALSE}"; then
     23639  { { echo "$as_me:$LINENO: error: conditional \"COIN_CXX_IS_CL\" was never defined.
     23640Usually this means the macro was only invoked conditionally." >&5
     23641echo "$as_me: error: conditional \"COIN_CXX_IS_CL\" was never defined.
    2318823642Usually this means the macro was only invoked conditionally." >&2;}
    2318923643   { (exit 1); exit 1; }; }
     
    2385324307s,@have_svnversion@,$have_svnversion,;t t
    2385424308s,@CLP_SVN_REV@,$CLP_SVN_REV,;t t
     24309s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     24310s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2385524311s,@CDEFS@,$CDEFS,;t t
    2385624312s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     
    2387324329s,@CXXFLAGS@,$CXXFLAGS,;t t
    2387424330s,@ac_ct_CXX@,$ac_ct_CXX,;t t
     24331s,@COIN_CXX_IS_CL_TRUE@,$COIN_CXX_IS_CL_TRUE,;t t
     24332s,@COIN_CXX_IS_CL_FALSE@,$COIN_CXX_IS_CL_FALSE,;t t
    2387524333s,@MPICXX@,$MPICXX,;t t
    2387624334s,@EGREP@,$EGREP,;t t
     
    2395724415s,@CLPLIB_PCLIBS@,$CLPLIB_PCLIBS,;t t
    2395824416s,@CLPLIB_PCREQUIRES@,$CLPLIB_PCREQUIRES,;t t
     24417s,@CLPLIB_CFLAGS_INSTALLED@,$CLPLIB_CFLAGS_INSTALLED,;t t
     24418s,@CLPLIB_LIBS_INSTALLED@,$CLPLIB_LIBS_INSTALLED,;t t
     24419s,@COINUTILS_DATA_INSTALLED@,$COINUTILS_DATA_INSTALLED,;t t
    2395924420s,@COIN_HAS_COINUTILS_TRUE@,$COIN_HAS_COINUTILS_TRUE,;t t
    2396024421s,@COIN_HAS_COINUTILS_FALSE@,$COIN_HAS_COINUTILS_FALSE,;t t
     
    2396624427s,@OSICLPLIB_PCLIBS@,$OSICLPLIB_PCLIBS,;t t
    2396724428s,@OSICLPLIB_PCREQUIRES@,$OSICLPLIB_PCREQUIRES,;t t
     24429s,@OSICLPLIB_CFLAGS_INSTALLED@,$OSICLPLIB_CFLAGS_INSTALLED,;t t
     24430s,@OSICLPLIB_LIBS_INSTALLED@,$OSICLPLIB_LIBS_INSTALLED,;t t
     24431s,@OSI_DATA_INSTALLED@,$OSI_DATA_INSTALLED,;t t
    2396824432s,@COIN_HAS_OSI_TRUE@,$COIN_HAS_OSI_TRUE,;t t
    2396924433s,@COIN_HAS_OSI_FALSE@,$COIN_HAS_OSI_FALSE,;t t
     
    2397124435s,@OSITESTS_CFLAGS@,$OSITESTS_CFLAGS,;t t
    2397224436s,@OSITESTS_DATA@,$OSITESTS_DATA,;t t
     24437s,@OSITESTS_DATA_INSTALLED@,$OSITESTS_DATA_INSTALLED,;t t
    2397324438s,@COIN_HAS_OSITESTS_TRUE@,$COIN_HAS_OSITESTS_TRUE,;t t
    2397424439s,@COIN_HAS_OSITESTS_FALSE@,$COIN_HAS_OSITESTS_FALSE,;t t
     
    2397624441s,@SAMPLE_CFLAGS@,$SAMPLE_CFLAGS,;t t
    2397724442s,@SAMPLE_DATA@,$SAMPLE_DATA,;t t
     24443s,@SAMPLE_DATA_INSTALLED@,$SAMPLE_DATA_INSTALLED,;t t
    2397824444s,@COIN_HAS_SAMPLE_TRUE@,$COIN_HAS_SAMPLE_TRUE,;t t
    2397924445s,@COIN_HAS_SAMPLE_FALSE@,$COIN_HAS_SAMPLE_FALSE,;t t
     
    2398124447s,@NETLIB_CFLAGS@,$NETLIB_CFLAGS,;t t
    2398224448s,@NETLIB_DATA@,$NETLIB_DATA,;t t
     24449s,@NETLIB_DATA_INSTALLED@,$NETLIB_DATA_INSTALLED,;t t
    2398324450s,@COIN_HAS_NETLIB_TRUE@,$COIN_HAS_NETLIB_TRUE,;t t
    2398424451s,@COIN_HAS_NETLIB_FALSE@,$COIN_HAS_NETLIB_FALSE,;t t
  • trunk/Clp/examples/Makefile.in

    r1603 r1637  
    5757@COIN_HAS_NETLIB_TRUE@CFLAGS += -DNETLIBDIR=\"@NETLIB_DATA@\"
    5858
    59 # Directory with COIN header files
    60 COININCDIR = @abs_include_dir@/coin
     59# Compiler flags (we use the CYGPATH_W variables to allow compilation with Windows compilers)
     60@COIN_HAS_PKGCONFIG_TRUE@INCL = `PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ @PKG_CONFIG@ --cflags clp` $(ADDINCFLAGS)
     61@COIN_HAS_PKGCONFIG_FALSE@INCL = @CLPLIB_CFLAGS_INSTALLED@ $(ADDINCFLAGS)
    6162
    62 # Directory with COIN libraries
    63 COINLIBDIR = @abs_lib_dir@/coin
    64 
    65 # Libraries necessary to link with Clp
    66 LIBS = -L`$(CYGPATH_W) $(COINLIBDIR)` -L`$(CYGPATH_W) $(COINLIBDIR)/ThirdParty` -lClp @CLPLIB_LIBS@
    67 
    68 # Necessary Include dirs (we use the CYGPATH_W variables to allow
    69 # compilation with Windows compilers)
    70 INCL = -I`$(CYGPATH_W) $(COININCDIR)` @COINUTILS_CFLAGS@ $(ADDINCFLAGS)
     63# Linker flags
     64@COIN_HAS_PKGCONFIG_TRUE@@COIN_CXX_IS_CL_FALSE@LIBS = `PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ @PKG_CONFIG@ --libs clp`
     65@COIN_HAS_PKGCONFIG_TRUE@@COIN_CXX_IS_CL_TRUE@LIBS = /link: `PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ @PKG_CONFIG@ --msvc-syntax --libs clp`
     66@COIN_HAS_PKGCONFIG_FALSE@LIBS = -L@abs_lib_dir@ -lClp @CLPLIB_LIBS_INSTALLED@
    7167
    7268# The following is necessary under cygwin, if native compilers are used
     
    108104        bla=;\
    109105        for file in $(OBJS); do bla="$$bla `$(CYGPATH_W) $$file`"; done; \
    110         $(CXX) $(CXXLINKFLAGS) $(CXXFLAGS) -o $@ $$bla $(ADDLIBS) $(LIBS)
     106        $(CXX) $(CXXLINKFLAGS) $(CXXFLAGS) -o $@ $$bla $(LIBS) $(ADDLIBS)
    111107
    112108clean:
  • trunk/Clp/src/Makefile.in

    r1618 r1637  
    149149CFLAGS = @CFLAGS@
    150150CLPLIB_CFLAGS = @CLPLIB_CFLAGS@
     151CLPLIB_CFLAGS_INSTALLED = @CLPLIB_CFLAGS_INSTALLED@
    151152CLPLIB_LIBS = @CLPLIB_LIBS@
     153CLPLIB_LIBS_INSTALLED = @CLPLIB_LIBS_INSTALLED@
    152154CLPLIB_PCLIBS = @CLPLIB_PCLIBS@
    153155CLPLIB_PCREQUIRES = @CLPLIB_PCREQUIRES@
     
    155157COINUTILS_CFLAGS = @COINUTILS_CFLAGS@
    156158COINUTILS_DATA = @COINUTILS_DATA@
     159COINUTILS_DATA_INSTALLED = @COINUTILS_DATA_INSTALLED@
    157160COINUTILS_LIBS = @COINUTILS_LIBS@
     161COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     162COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
     163COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
     164COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    158165COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    159166COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
     
    214221NETLIB_CFLAGS = @NETLIB_CFLAGS@
    215222NETLIB_DATA = @NETLIB_DATA@
     223NETLIB_DATA_INSTALLED = @NETLIB_DATA_INSTALLED@
    216224NETLIB_LIBS = @NETLIB_LIBS@
    217225OBJEXT = @OBJEXT@
     
    219227OPT_CXXFLAGS = @OPT_CXXFLAGS@
    220228OSICLPLIB_CFLAGS = @OSICLPLIB_CFLAGS@
     229OSICLPLIB_CFLAGS_INSTALLED = @OSICLPLIB_CFLAGS_INSTALLED@
    221230OSICLPLIB_LIBS = @OSICLPLIB_LIBS@
     231OSICLPLIB_LIBS_INSTALLED = @OSICLPLIB_LIBS_INSTALLED@
    222232OSICLPLIB_PCLIBS = @OSICLPLIB_PCLIBS@
    223233OSICLPLIB_PCREQUIRES = @OSICLPLIB_PCREQUIRES@
    224234OSITESTS_CFLAGS = @OSITESTS_CFLAGS@
    225235OSITESTS_DATA = @OSITESTS_DATA@
     236OSITESTS_DATA_INSTALLED = @OSITESTS_DATA_INSTALLED@
    226237OSITESTS_LIBS = @OSITESTS_LIBS@
    227238OSI_CFLAGS = @OSI_CFLAGS@
    228239OSI_DATA = @OSI_DATA@
     240OSI_DATA_INSTALLED = @OSI_DATA_INSTALLED@
    229241OSI_LIBS = @OSI_LIBS@
    230242PACKAGE = @PACKAGE@
     
    241253SAMPLE_CFLAGS = @SAMPLE_CFLAGS@
    242254SAMPLE_DATA = @SAMPLE_DATA@
     255SAMPLE_DATA_INSTALLED = @SAMPLE_DATA_INSTALLED@
    243256SAMPLE_LIBS = @SAMPLE_LIBS@
    244257SET_MAKE = @SET_MAKE@
  • trunk/Clp/src/OsiClp/Makefile.in

    r1636 r1637  
    115115CFLAGS = @CFLAGS@
    116116CLPLIB_CFLAGS = @CLPLIB_CFLAGS@
     117CLPLIB_CFLAGS_INSTALLED = @CLPLIB_CFLAGS_INSTALLED@
    117118CLPLIB_LIBS = @CLPLIB_LIBS@
     119CLPLIB_LIBS_INSTALLED = @CLPLIB_LIBS_INSTALLED@
    118120CLPLIB_PCLIBS = @CLPLIB_PCLIBS@
    119121CLPLIB_PCREQUIRES = @CLPLIB_PCREQUIRES@
     
    121123COINUTILS_CFLAGS = @COINUTILS_CFLAGS@
    122124COINUTILS_DATA = @COINUTILS_DATA@
     125COINUTILS_DATA_INSTALLED = @COINUTILS_DATA_INSTALLED@
    123126COINUTILS_LIBS = @COINUTILS_LIBS@
     127COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     128COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
     129COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
     130COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    124131COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    125132COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
     
    180187NETLIB_CFLAGS = @NETLIB_CFLAGS@
    181188NETLIB_DATA = @NETLIB_DATA@
     189NETLIB_DATA_INSTALLED = @NETLIB_DATA_INSTALLED@
    182190NETLIB_LIBS = @NETLIB_LIBS@
    183191OBJEXT = @OBJEXT@
     
    185193OPT_CXXFLAGS = @OPT_CXXFLAGS@
    186194OSICLPLIB_CFLAGS = @OSICLPLIB_CFLAGS@
     195OSICLPLIB_CFLAGS_INSTALLED = @OSICLPLIB_CFLAGS_INSTALLED@
    187196OSICLPLIB_LIBS = @OSICLPLIB_LIBS@
     197OSICLPLIB_LIBS_INSTALLED = @OSICLPLIB_LIBS_INSTALLED@
    188198OSICLPLIB_PCLIBS = @OSICLPLIB_PCLIBS@
    189199OSICLPLIB_PCREQUIRES = @OSICLPLIB_PCREQUIRES@
    190200OSITESTS_CFLAGS = @OSITESTS_CFLAGS@
    191201OSITESTS_DATA = @OSITESTS_DATA@
     202OSITESTS_DATA_INSTALLED = @OSITESTS_DATA_INSTALLED@
    192203OSITESTS_LIBS = @OSITESTS_LIBS@
    193204OSI_CFLAGS = @OSI_CFLAGS@
    194205OSI_DATA = @OSI_DATA@
     206OSI_DATA_INSTALLED = @OSI_DATA_INSTALLED@
    195207OSI_LIBS = @OSI_LIBS@
    196208PACKAGE = @PACKAGE@
     
    207219SAMPLE_CFLAGS = @SAMPLE_CFLAGS@
    208220SAMPLE_DATA = @SAMPLE_DATA@
     221SAMPLE_DATA_INSTALLED = @SAMPLE_DATA_INSTALLED@
    209222SAMPLE_LIBS = @SAMPLE_LIBS@
    210223SET_MAKE = @SET_MAKE@
  • trunk/Clp/test/Makefile.in

    r1618 r1637  
    106106CFLAGS = @CFLAGS@
    107107CLPLIB_CFLAGS = @CLPLIB_CFLAGS@
     108CLPLIB_CFLAGS_INSTALLED = @CLPLIB_CFLAGS_INSTALLED@
    108109CLPLIB_LIBS = @CLPLIB_LIBS@
     110CLPLIB_LIBS_INSTALLED = @CLPLIB_LIBS_INSTALLED@
    109111CLPLIB_PCLIBS = @CLPLIB_PCLIBS@
    110112CLPLIB_PCREQUIRES = @CLPLIB_PCREQUIRES@
     
    112114COINUTILS_CFLAGS = @COINUTILS_CFLAGS@
    113115COINUTILS_DATA = @COINUTILS_DATA@
     116COINUTILS_DATA_INSTALLED = @COINUTILS_DATA_INSTALLED@
    114117COINUTILS_LIBS = @COINUTILS_LIBS@
     118COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     119COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
     120COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
     121COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    115122COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
    116123COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
     
    171178NETLIB_CFLAGS = @NETLIB_CFLAGS@
    172179NETLIB_DATA = @NETLIB_DATA@
     180NETLIB_DATA_INSTALLED = @NETLIB_DATA_INSTALLED@
    173181NETLIB_LIBS = @NETLIB_LIBS@
    174182OBJEXT = @OBJEXT@
     
    176184OPT_CXXFLAGS = @OPT_CXXFLAGS@
    177185OSICLPLIB_CFLAGS = @OSICLPLIB_CFLAGS@
     186OSICLPLIB_CFLAGS_INSTALLED = @OSICLPLIB_CFLAGS_INSTALLED@
    178187OSICLPLIB_LIBS = @OSICLPLIB_LIBS@
     188OSICLPLIB_LIBS_INSTALLED = @OSICLPLIB_LIBS_INSTALLED@
    179189OSICLPLIB_PCLIBS = @OSICLPLIB_PCLIBS@
    180190OSICLPLIB_PCREQUIRES = @OSICLPLIB_PCREQUIRES@
    181191OSITESTS_CFLAGS = @OSITESTS_CFLAGS@
    182192OSITESTS_DATA = @OSITESTS_DATA@
     193OSITESTS_DATA_INSTALLED = @OSITESTS_DATA_INSTALLED@
    183194OSITESTS_LIBS = @OSITESTS_LIBS@
    184195OSI_CFLAGS = @OSI_CFLAGS@
    185196OSI_DATA = @OSI_DATA@
     197OSI_DATA_INSTALLED = @OSI_DATA_INSTALLED@
    186198OSI_LIBS = @OSI_LIBS@
    187199PACKAGE = @PACKAGE@
     
    198210SAMPLE_CFLAGS = @SAMPLE_CFLAGS@
    199211SAMPLE_DATA = @SAMPLE_DATA@
     212SAMPLE_DATA_INSTALLED = @SAMPLE_DATA_INSTALLED@
    200213SAMPLE_LIBS = @SAMPLE_LIBS@
    201214SET_MAKE = @SET_MAKE@
Note: See TracChangeset for help on using the changeset viewer.